org.apache.commons.math3.analysis.function

## Class Logistic

- java.lang.Object
- - org.apache.commons.math3.analysis.function.Logistic

- All Implemented Interfaces:
    DifferentiableUnivariateFunction, UnivariateFunction

      public class Logistic
      extends Object
      implements DifferentiableUnivariateFunction

  Generalised logistic function.
  Since:
    3.0
  Version:
    $Id$

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Logistic.Parametric` Parametric function where the input array contains the parameters of the logit function, ordered as follows: Lower asymptote Higher asymptote

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Logistic(double k, double m, double b, double q, double a, double n)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnivariateFunction` | `derivative()` Returns the derivative of the function
    `double` | `value(double x)` Compute the value of the function.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Logistic

          public Logistic(double k,
                  double m,
                  double b,
                  double q,
                  double a,
                  double n)

      Parameters:
        `k` - If `b > 0`, value of the function for x going towards +∞. If `b < 0`, value of the function for x going towards -∞.
        `m` - Abscissa of maximum growth.
        `b` - Growth rate.
        `q` - Parameter that affects the position of the curve along the ordinate axis.
        `a` - If `b > 0`, value of the function for x going towards -∞. If `b < 0`, value of the function for x going towards +∞.
        `n` - Parameter that affects near which asymptote the maximum growth occurs.
      Throws:
        `NotStrictlyPositiveException` - if `n <= 0`.

  - ### Method Detail

    - #### value

          public double value(double x)

      Compute the value of the function.
      Specified by:
        `value` in interface `UnivariateFunction`
      Parameters:
        `x` - Point at which the function value should be computed.
      Returns:
        the value of the function.

    - #### derivative

          public UnivariateFunction derivative()

      Returns the derivative of the function
      Specified by:
        `derivative` in interface `DifferentiableUnivariateFunction`
      Returns:
        the derivative function

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.